import { ChangeRequestCreateParams } from './internal/request';
export declare class ScrapboxWebsocketHandler {
    #private;
    private readonly options;
    constructor(options: {
        token?: string;
        autoOpen?: boolean;
        autoReconnect?: boolean;
        debug?: boolean;
    });
    commit({ projectId, userId, pageId, parentId, changes, }: {
        projectId: string;
        userId: string;
        pageId: string;
        parentId: string;
        changes: ChangeRequestCreateParams[];
    }): Promise<import("./internal/message").ParsedMessage>;
}
